Ubuntu

PL2303 fail with USB SIM card reader

Reported by Angel Guzman Maeso on 2008-06-04
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have a USB SIM card reader (http://www.dealextreme.com/details.dx/sku.6641) with PL2303 but it not working in Ubuntu 8.04.

$sudo tail -f /var/log/messages

Jun 4 15:45:43 otorion kernel: [ 1707.221771] usb 3-1: new full speed USB device using uhci_hcd and address 5
Jun 4 15:45:44 otorion kernel: [ 1707.256577] usb 3-1: configuration #1 chosen from 1 choice
Jun 4 15:45:44 otorion kernel: [ 1707.266090] pl2303 3-1:1.0: pl2303 converter detected
Jun 4 15:45:44 otorion kernel: [ 1707.266260] usb 3-1: pl2303 converter now attached to ttyUSB0
Jun 4 15:45:45 otorion pcscd: hotplug_libusb.c:478:HPAddHotPluggable() Adding USB device: 003:005
Jun 4 15:45:45 otorion pcscd: readerfactory.c:1116:RFInitializeReader() Attempting startup of Towitoko Chipdrive USB 00 00 using /usr/lib/pcsc/drivers/towitoko.bundle/Contents/Linux/libtowitoko.so.2.0.0
Jun 4 15:45:45 otorion pcscd: readerfactory.c:949:RFBindFunctions() Loading IFD Handler 2.0

$ lsusb
Bus 003 Device 005: ID 067b:2303 Prolific Technology, Inc. PL2303 Serial Port

$ sudo lsusb -v -d 067b:2303

Bus 003 Device 005: ID 067b:2303 Prolific Technology, Inc. PL2303 Serial Port
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x067b Prolific Technology, Inc.
  idProduct 0x2303 PL2303 Serial Port
  bcdDevice 3.00
  iManufacturer 1 Prolific Technology Inc.
  iProduct 2 USB-Serial Controller
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 39
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 3
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 0
      bInterfaceProtocol 0
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x000a 1x 10 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
Device Status: 0x0000
  (Bus Powered)

Any idea to make it work? pcsc_scan not working properly and not detect sim cards

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Ross Heflin (chi-metrognome) wrote :

it appears that with a fresh install of intrepid and upgrade to the latest kernel offered in updates / security that I am having similar problems with a serial port adapter built on the same chipset:
device is recognized, and attached to /dev/ttyUSB0 ... but I'm unable to sync my palm over the device...... its as if no data ever makes it to the palm or from the palm to the computer debugging info below.

$ lsusb

rheflin@osiris:~$ lsusb
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 067b:2303 Prolific Technology, Inc. PL2303 Serial Port
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

$ uname -a
Linux osiris 2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008 i686 GNU/Linux

$ dmesg | tail
[ 590.724092] usb 3-2: new full speed USB device using uhci_hcd and address 2
[ 590.892582] usb 3-2: configuration #1 chosen from 1 choice
[ 591.232171] usbcore: registered new interface driver usbserial
[ 591.233755] usbserial: USB Serial support registered for generic
[ 591.234801] usbcore: registered new interface driver usbserial_generic
[ 591.234809] usbserial: USB Serial Driver core
[ 591.253597] usbserial: USB Serial support registered for pl2303
[ 591.254630] pl2303 3-2:1.0: pl2303 converter detected
[ 591.266472] usb 3-2: pl2303 converter now attached to ttyUSB0
[ 591.267513] usbcore: registered new interface driver pl2303
[ 591.267521] pl2303: Prolific PL2303 USB to serial adaptor driver

$ ls -al /dev/ttyUSB0
crw-rw---- 1 root dialout 188, 0 2008-12-12 10:58 /dev/ttyUSB0

--and yes... I am in dialout

$ groups

rheflin@osiris:~$ groups
rheflin adm dialout cdrom plugdev lpadmin admin sambashare

Changed in linux:
importance: Undecided → Medium
status: New → Triaged
Angel Guzman Maeso (shakaran) wrote :

With Ubuntu 9.04 (Jaunty) Alpha 2

$ uname -a
Linux otorion 2.6.28-3-generic #4-Ubuntu SMP Fri Dec 12 22:48:15 UTC 2008 i686 GNU/Linux

Relevant dmesg:
[10204.568019] usb 3-1: new full speed USB device using uhci_hcd and address 4
[10204.744693] usb 3-1: configuration #1 chosen from 1 choice
[10204.747114] pl2303 3-1:1.0: pl2303 converter detected
[10204.786264] usb 3-1: pl2303 converter now attached to ttyUSB0

Recognized and attached, but not sync.

A example inserting and removing the sim card:

$ pcsc_scan
PC/SC device scanner
V 1.4.14 (c) 2001-2008, Ludovic Rousseau <email address hidden>
Compiled with PC/SC lite version: 1.4.99
Scanning present readers
0: Towitoko Chipdrive USB 00 00

Sun Dec 21 19:47:42 2008
 Reader 0: Towitoko Chipdrive USB 00 00
  Card state: Card removed,

Sun Dec 21 19:48:12 2008
 Reader 0: Towitoko Chipdrive USB 00 00
  Card state: Status unavailable,

Sun Dec 21 19:48:17 2008
 Reader 0: Towitoko Chipdrive USB 00 00
  Card state: Card removed,

Sun Dec 21 19:48:29 2008
 Reader 0: Towitoko Chipdrive USB 00 00
  Card state: Status unavailable,

Sun Dec 21 19:48:37 2008
 Reader 0: Towitoko Chipdrive USB 00 00
  Card state: Card removed,

Other information:
$ ls -al /dev/ttyUSB0
crw-rw---- 1 root dialout 188, 0 2008-12-21 19:56 /dev/ttyUSB0

$ groups
shakaran adm dialout cdrom floppy audio dip video plugdev scanner lpadmin admin netdev powerdev sambashare vboxusers kvm

Ross Heflin (chi-metrognome) wrote :

great... not fixed in jaunty either.... time to re-report and attache to new version of kernel as well or it probably won't get fixed

Michael Gefen (gefenm11) wrote :

seems that this chipset is working now

Angel Guzman Maeso (shakaran) wrote :

For me, not working yet.

$ uname -r
2.6.31-2-generic

Dmesg:
[ 3240.508063] usb 4-1: new full speed USB device using uhci_hcd and address 2
[ 3240.671183] usb 4-1: configuration #1 chosen from 1 choice
[ 3240.775235] USB Serial support registered for pl2303
[ 3240.775263] pl2303 4-1:1.0: pl2303 converter detected
[ 3240.787172] usb 4-1: pl2303 converter now attached to ttyUSB0
[ 3240.787196] usbcore: registered new interface driver pl2303
[ 3240.787198] pl2303: Prolific PL2303 USB to serial adaptor driver

$ pcsc_scan
PC/SC device scanner
V 1.4.15 (c) 2001-2009, Ludovic Rousseau <email address hidden>
Compiled with PC/SC lite version: 1.4.102
SCardEstablishContext: Service not available.

The result is worse now. Now it doesn't display any messages with pcsc_scan and the green led only shine when disconnect.

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete
madbiologist (me-again) wrote :

The Linux kernel 2.6.34-rc1 may assist in solving this issue. From the changelog:

commit 67b9946dd07eeef8188e4cab816d2c370bcaa7b2
Author: John Tsiombikas
Date: Thu Feb 25 17:09:08 2010 +0200

    USB: pl2303: initial TIOCGSERIAL support

    I've got a trivial patch for the pl2303 driver, that's what I needed to
    make the wacom serial tablet driver work properly. It uses the
    TIOCGSERIAL ioctl to determine if it's talking to a serial device or
    not, which I gather is rather common, but the pl2303 driver didn't
    implement that ioctl.

    Here's a patch, I'm not sure it's absolutely correct, I mostly looked at
    other similar usbserial drivers to see what I must do, but it works for
    me.

    Signed-off-by: John Tsiombikas
    Signed-off-by: Greg Kroah-Hartman

There is a PPA of this kernel at http://kernel.ubuntu.com/~kernel-ppa/mainline/

Andrea Cometa (scigghia) wrote :

Hi, I've tried the 2.6.34 kernel with ubuntu 9.10, but the adapter PL2303, still does not work.
It is recognized, ttyUSB0 is created, the module is loaded, but instead of running, nothing happens!
my lsusb shows "bMaxPacketSize0 64" which seems to indicate that the adapter is a PL2303x, not a PL2303!
there may be confusion on this module?

Bob Karl (bobkarl) wrote :

I installed Ubuntu 9.1 four days ago and need to use my USB to RS232 adapter. Please note I am new to Linux.

Running Ubuntu 9.10
$ uname -r
2.6.31-20-generic

Plugged in my IOgear GUC232A USB to RS232 adapter
Following: http://blog.mypapit.net/2008/05/how-to-use-usb-serial-port-converter-in-ubuntu.html

$ lsusb
Bus 005 Device 002: ID 0557:2008 ATEN International Co., Ltd UC-232A Serial Port [pl2303]

$ sudo modprobe usbserial vendor=0x0557 product=0x2008

$dmesg
[ 20.536583] USB Serial support registered for pl2303
[ 20.536610] pl2303 5-1:1.0: pl2303 converter detected
[ 20.551884] usb 5-1: pl2303 converter now attached to ttyUSB0
[ 20.551908] usbcore: registered new interface driver pl2303
[ 20.551910] pl2303: Prolific PL2303 USB to serial adaptor driver

$ sudo gedit /etc/modules usbserial vendor=0x0557 product=0x2008

rebooted

Installed GtkTerm and selected Port: /dev/ttyUSB0 and serial communications worked.

Next day booted Ubuntu then executed GtkTerm and serial communications did not work. Nothing changed when lsusb and dmesg were executed. Removed and reinserted the USB to RS232 adapter and nothing. Rebooted....nothing.

$ sudo lsusb -v -d 0557:2008
Bus 005 Device 002: ID 0557:2008 ATEN International Co., Ltd UC-232A Serial Port [pl2303]
Device Descriptor:
  bMaxPacketSize0 64

With Synaptic Package Manager I removed modem-manager rebooted/reinserted the USB to RS232 adapter nothing. I then removed Brltty rebooted/reinserted but still nothing, no serial communications. Everything looked correct when lsusb and dmesg were executed.

Edited /etc/modules and commented the line "usbserial vendor=0x0557 product=0x2008"
rebooted and GtkTerm serial communication works!

I'm glad serial communications is now working. The site
http://manpages.ubuntu.com/manpages/karmic/en/man4/uplcom.4freebsd.html
indicates the support for this device is built into Ubuntu 9.10 but I don't understand how linux knows to use "usbserial vendor=0x0557 product=0x2008" if it is commented in /etc/modules.

$ sudo grep -i -R -l 0557 /etc/*
/etc/alternatives/net
grep: /etc/blkid.tab: No such file or directory
/etc/brltty/zh-tw.ctb
/etc/modules

madbiologist (me-again) on 2010-04-21
Changed in linux (Ubuntu):
status: Incomplete → New
Andy Whitcroft (apw) on 2011-02-22
Changed in linux (Ubuntu):
status: New → Triaged

Angel Guzman Maeso, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers